Contact Us Request
curl --request POST \
--url https://api.birdeye.com/resources/v1/contactUs/{businessId} \
--header 'Content-Type: application/json' \
--data '
{
"customerComment": "What all services do you offer?",
"customer": {
"name": "Dummy Name",
"emailId": "sam@gmail.com",
"phone": "4424242424"
},
"additionalParams": {
"channel": "Web",
"utm_campiagn": "New Year"
}
}
'import requests
url = "https://api.birdeye.com/resources/v1/contactUs/{businessId}"
payload = {
"customerComment": "What all services do you offer?",
"customer": {
"name": "Dummy Name",
"emailId": "sam@gmail.com",
"phone": "4424242424"
},
"additionalParams": {
"channel": "Web",
"utm_campiagn": "New Year"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
customerComment: 'What all services do you offer?',
customer: {name: 'Dummy Name', emailId: 'sam@gmail.com', phone: '4424242424'},
additionalParams: {channel: 'Web', utm_campiagn: 'New Year'}
})
};
fetch('https://api.birdeye.com/resources/v1/contactUs/{businessId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customerId": 1234567
}{
"code": 1001,
"message": "Name of the contact is too long."
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1175,
"message": "No business found with the given id"
}{
"code": 89,
"message": "Rate limit exceeded"
}Contact
Contact Us
Contact Us form can be integrated with Birdeye Inbox using Contact Us API.
POST
/
v1
/
contactUs
/
{businessId}
Contact Us Request
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Path Parameters
Id of the business.
Body
application/json
Response
OK
Id of the enterprise customer.
⌘I